version: '2'
services:
  tmlite:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: ska-sdp-tmlite-server
    volumes:
     - "/var/run/docker.sock:/var/run/docker.sock"
    hostname: localhost
    expose:
     - "80"
    ports:
     - "80:80/tcp"
    command: ["uvicorn", "ska.tmlite.server.main:app", "--host", "0.0.0.0", "--port", "80"]

